Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::EnvironmentList_var Class Reference

`#include <ImplRepoC.h>`

List of all members.

## Public Methods
| EnvironmentList_var (void)
| EnvironmentList_var (EnvironmentList *)
| EnvironmentList_var (const EnvironmentList_var &)
| ~EnvironmentList_var (void)
EnvironmentList_var & | operator= (EnvironmentList *)
EnvironmentList_var & | operator= (const EnvironmentList_var &)
EnvironmentList * | operator-> (void)
const EnvironmentList * | operator-> (void) const
| operator const EnvironmentList & () const
| operator EnvironmentList & ()
| operator EnvironmentList & () const
| operator EnvironmentList *& ()
EnvironmentVariable & | operator[] (CORBA::ULong index)
const EnvironmentVariable & | operator[] (CORBA::ULong index) const
const EnvironmentList & | in (void) const
EnvironmentList & | inout (void)
EnvironmentList *& | out (void)
EnvironmentList * | _retn (void)
EnvironmentList * | ptr (void) const
## Private Attributes
EnvironmentList * | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::EnvironmentList_var::EnvironmentList_var | ( | void |  | ) |

ImplementationRepository::EnvironmentList_var::EnvironmentList_var | ( | EnvironmentList * |  | ) |

ImplementationRepository::EnvironmentList_var::EnvironmentList_var | ( | const EnvironmentList_var & |  | ) |

ImplementationRepository::EnvironmentList_var::~EnvironmentList_var | ( | void |  | ) |

## Member Function Documentation

EnvironmentList* ImplementationRepository::EnvironmentList_var::_retn | ( | void |  | ) |

const EnvironmentList& ImplementationRepository::EnvironmentList_var::in | ( | void |  | ) | const

EnvironmentList& ImplementationRepository::EnvironmentList_var::inout | ( | void |  | ) |

ImplementationRepository::EnvironmentList_var::operator const EnvironmentList & | ( |  | ) | const

ImplementationRepository::EnvironmentList_var::operator EnvironmentList & | ( |  | ) | const

ImplementationRepository::EnvironmentList_var::operator EnvironmentList & | ( |  | ) |

ImplementationRepository::EnvironmentList_var::operator EnvironmentList *& | ( |  | ) |

const EnvironmentList* ImplementationRepository::EnvironmentList_var::operator-> | ( | void |  | ) | const

EnvironmentList* ImplementationRepository::EnvironmentList_var::operator-> | ( | void |  | ) |

EnvironmentList_var& ImplementationRepository::EnvironmentList_var::operator= | ( | const EnvironmentList_var & |  | ) |

EnvironmentList_var& ImplementationRepository::EnvironmentList_var::operator= | ( | EnvironmentList * |  | ) |

const EnvironmentVariable& ImplementationRepository::EnvironmentList_var::operator[] | ( | CORBA::ULong | index | ) | const

EnvironmentVariable& ImplementationRepository::EnvironmentList_var::operator[] | ( | CORBA::ULong | index | ) |

EnvironmentList*& ImplementationRepository::EnvironmentList_var::out | ( | void |  | ) |

EnvironmentList* ImplementationRepository::EnvironmentList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

EnvironmentList* ImplementationRepository::EnvironmentList_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h